### Constructor

# RB URIDialog new

#### Declaration [src]

    GtkWidget*
    rb_uri_dialog_new (
      const char* title,
      const char* label
    )

#### Description [src]

Creates a URI entry dialog.

#### Parameters

`title`

  Type: `const char*`

  Window title for the dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  Label to display in the dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

URI dialog instance.

The data is owned by the called function.